## cecil 0.3

=== Makefile ===
include config.make

MCS = mcs
MCS_FLAGS =

all: 
	$(MCS) $(MCS_FLAGS) @Mono.Cecil.dll.sources /target:library /out:Mono.Cecil.dll

clean:
	rm -f *.dll
	rm -f mono-cecil.pc

mono-cecil.pc: mono-cecil.pc.in
	sed -e 's,@prefix@,$(prefix),g' mono-cecil.pc.in > $@.tmp
	mv $@.tmp $@

install: all mono-cecil.pc
	mkdir -p $(prefix)/lib/Mono.Cecil
	cp Mono.Cecil.dll $(prefix)/lib/Mono.Cecil
	cp mono-cecil.pc $(prefix)/lib/pkgconfig/mono-cecil.pc

## cecil 0.4.3

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
 include config.make
 
 MCS = mcs
-MCS_FLAGS =
+KEY_FILE = ../../mcs/class/mono.snk
+MCS_FLAGS = -keyfile:$(KEY_FILE)
 
-all: 
+all:
 	$(MCS) $(MCS_FLAGS) @Mono.Cecil.dll.sources /target:library /out:Mono.Cecil.dll
 
 clean:

## cecil 0.5

=== Makefile ===
--- 
+++ 
@@ -4,11 +4,13 @@
 KEY_FILE = ../../mcs/class/mono.snk
 MCS_FLAGS = -keyfile:$(KEY_FILE)
 
-all:
+all: Mono.Cecil.dll mono-cecil.pc
+
+Mono.Cecil.dll: Mono.Cecil.dll.sources */*.cs
 	$(MCS) $(MCS_FLAGS) @Mono.Cecil.dll.sources /target:library /out:Mono.Cecil.dll
 
 clean:
-	rm -f *.dll
+	rm -f Mono.Cecil.dll
 	rm -f mono-cecil.pc
 
 mono-cecil.pc: mono-cecil.pc.in

## cecil 0.9.5+dfsg

=== debian/changelog ===
cecil (0.9.5+dfsg-6) unstable; urgency=low

  * debian/control: Add myself as Uploaders (Closes: #1079876)
  * Update debian/copyright. (Closes: #1053554)
  * debian/control: Bump debhelper compat to 12
  * debian/control: Remove Vcs-Git and Vcs-Browser
  * debian/watch: Update to version 4

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 30 Aug 2024 01:44:45 +0800

cecil (0.9.5+dfsg-5.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 29 Dec 2020 02:26:37 +0100

cecil (0.9.5+dfsg-5) unstable; urgency=medium

  * [2bb85b2] Avoid depending on strict Mono version due to 
    dh_clideps error (Closes: #841615)

 -- Jo Shields <directhex@apebox.org>  Mon, 07 Nov 2016 12:08:43 +0000

cecil (0.9.5+dfsg-4) unstable; urgency=medium

  * [328ec4f] Force 4.5 framework for build

 -- Jo Shields <jo.shields@xamarin.com>  Tue, 15 Dec 2015 10:12:32 +0000

cecil (0.9.5+dfsg-3) unstable; urgency=medium

  * No-change rebuild for CLR 4.5 transition

 -- Jo Shields <directhex@apebox.org>  Tue, 10 Nov 2015 10:58:27 +0000

cecil (0.9.5+dfsg-2) unstable; urgency=low

  * No-change rebuild for CLR 4.0 transition 

 -- Iain Lane <laney@debian.org>  Wed, 18 Jan 2012 21:01:54 +0000

cecil (0.9.5+dfsg-1) experimental; urgency=low

  [ Iain Lane ]
  * [411dc78] Update to use my d.o email address
  * [74bedaf] Disable clilibs; this is an unstable library
    apps grow unnecessary depends otherwise
  * [5288c1f] Mangle debian version in watch file to take care of repacking.
    Also update watch file to look at new github location for tarballs
  * [8f7110f] Relax version restriction on cli-common-dev; anything from 0.8
    will do

  [ Jo Shields ]
  * [e846eb8] Imported Upstream version 0.9.5+dfsg
  * [3017d96] Bump build dependencies, as we're building for Mono 2.10 now.
  * [27c2cff] Set to DebSrc 3.0, so we can apply patches via Quilt.
  * [d0447b3] Update build to use XBuild, not manual compiler invocation.
  * [08d2b92] Patch to avoid building tests (which rely on NUnit 2.4)
  * [fa5a033] Update install file to include all new assemblies and locations.
  * [43bd1e2] Since upstream no longer ships a pcfile, add our own.
  * [942ead4] Don't try to ship a Changelog when none exists.
  * [ba8232d] Erase obj/ folders in clean rule.
  * [090af34] Exclude modulerefs on Windowsy libraries.

 -- Iain Lane <laney@debian.org>  Sun, 07 Aug 2011 22:38:20 +0100

cecil (0.6+svn148654-2) unstable; urgency=low

  * [ca3fb1b] Sign library with mono signing key
  * [12bfdca] Standards-Version → 3.9.2, no changes required

 -- Iain Lane <laney@debian.org>  Sat, 28 May 2011 14:45:24 +0100

cecil (0.6+svn148654-1) unstable; urgency=low

  * debian/control: Move to git and update Vcs-* metadata 
  * New upstream SVN snapshot, needed for db4o
  * Package as unstable as the library is not considered by upstream to be API
    or ABI stable. Consumers must now copy the library.
  * debian/control, debian/rules, debian/patches: Disable patchsys as this was
    only used to change assembly version which is now not necessary.
  * debian/rules, debian/mono.snk.uue: No need to sign now, not necessary for
    unstable libs.
  * debian/rules: Modify pcfile munging to use new assembly dir
  * debian/changelog, debian/clean, debian/libmono-cecil-cil.docs: Update
    dh7isation
  * debian/control: Change build-depends on packages provided by `mono' source
    package to mono-devel (>= 2.4.3) as this provides all we need.
  * debian/control: Add myself to Uploaders, remove MIA people. 

 -- Iain Lane <laney@ubuntu.com>  Wed, 06 Jan 2010 16:01:55 +0000

cecil (0.6-3) unstable; urgency=low

  * debian/rules,
    debian/control:
    + Use mono-csc from mono-devel 2.4.2.3
  * debian/control:
    + No-change bumpo to Standards 3.8.3
    + Change section to cli-mono
  * debian/control,
    debian/libmono-cecil-cil-dev.install:
    + Add new -dev package for better handling of ABI changes
  * debian/rules,
    debian/install,
    debian/installcligac:
    + CLI Policy 0.7 install location

 -- Jo Shields <directhex@apebox.org>  Fri, 06 Nov 2009 14:14:58 +0000

cecil (0.6-2) unstable; urgency=low

  * debian/rules, debian/control:
    + updated for Mono 2.0 transition
  * debian/control:
    + added Homepage field, dropped from long description
    + debhelper dependency bumped to >= 7
    + added ${misc:Depends} dependency
    + Standards-Version bumped to 3.8.0:
      - debian/README.source added
    + added Vcs-* fields
  * debian/compat bumped to 7
  * debian/rules:
    + updated: using dh7-style
    + added get-orig-source target
  * debian/patches/:
    + 01_assembly-version.dpatch: added description
  * debian/watch added

 -- David Paleino <d.paleino@gmail.com>  Wed, 25 Feb 2009 23:42:16 +0100

cecil (0.6-1) unstable; urgency=low

  [ Jose Carlos Garcia Sogo ]
  * New upstream release
  * debian/control:
    + Bump Standards-Version. No changes needed
    + Depend on cli-common-dev (>= 0.5.4)
  * Use dh_clifixperms and dh_clistrip instead of manual stuff

  [ Sebastian Dröge ]
  * debian/install,
    debian/rules:
    + Build the assemblies by hand now as upstream has a broken build system.
    + Clean up and fix some things.
  * debian/patches/01_assembly-version.dpatch:
    + Change assembly version back to 0.5.0.0 as it's ABI compatible.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 20 Mar 2008 18:03:02 +0100

cecil (0.5-2) unstable; urgency=low

  * Merge experimental branch and upload to unstable.
  * Make sure we use mono.snk key to sign binaries.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 15 Apr 2007 21:43:04 +0200

cecil (0.5-1) experimental; urgency=low

  * New upstream version.
  * debian/control:
     + Bump build dependency to cli-common-dev >= 0.4.4
     + In description, there is no need to say which software is also using
     this package.


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/cli-common/cli.make

UPVERSION = $(shell dpkg-parsechangelog | grep ^Vers | cut -d\  -f2 | sed 's,-.*,,')

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f Mono.Cecil/mono-cecil.pc
	find . -type d -name obj -exec rm -rf {} \; || true
	rm -rf $(CURDIR)/bin
	rm -rf $(CURDIR)/dbg/bin

override_dh_auto_build:
	xbuild /property:Configuration=net_4_0_Release

	sed -e 's;@prefix@;/usr;g' \
		-e 's;^Version:.*;Version:\ $(UPVERSION);g' \
		debian/mono-cecil.pc.in > Mono.Cecil/mono-cecil.pc

# these are miscalculated, they pick up the private-yet-GAC Cecil from src:mono
# so manually define deps instead.
override_dh_clideps:

# no clilibs — private library
override_dh_makeclilibs:

get-orig-source:
	[ -d ../tarballs ] || mkdir ../tarballs
	uscan \
		--force-download \
		--download-version $(UPVERSION) \
		--destdir ../tarballs \
		--rename --verbose

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg// , filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/jbevain/cecil/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## cecil 0.9.6+dfsg

=== debian/changelog ===
cecil (0.9.6+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix Vcs fields
  * Do not Build-Depend cli-common-dev
    Closes: #1112148
  * d/watch: version=5
  * d/rules:
     - Use DEB_VERSION_UPSTREAM instead of parsing changelog
     - Remove redundant get-orig-source target
  * d/copyright: Secure URI in Source field
  * Fix Homepage
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Trim trailing whitespace.
  * Enable cross-compilation with pkg-config wrapper

 -- Andreas Tille <tille@debian.org>  Thu, 20 Nov 2025 17:06:07 +0100

cecil (0.9.6+dfsg-1) unstable; urgency=low

  * New upstream release.
    - Remove debian/patches/force_4.5_framework.patch
    - Update debian/patches/dont_build_tests.patch

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 12 Sep 2024 00:20:08 +0800

=== debian/control ===
Source: cecil
Standards-Version: 4.7.2
Maintainer: Debian CLI Libraries Team <pkg-cli-libs-team@lists.alioth.debian.org>
Uploaders:
 Iain Lane <laney@debian.org>,
 Ying-Chun Liu (PaulLiu) <paulliu@debian.org>,
Section: cli-mono
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
Build-Depends-Indep:
 mono-devel,
 sharutils,
Vcs-Browser: https://salsa.debian.org/dotnet-team/cecil
Vcs-Git: https://salsa.debian.org/dotnet-team/cecil.git
Homepage: https://www.mono-project.com/docs/tools+libraries/libraries/Mono.Cecil/

Package: libmono-cecil-cil
Architecture: all
Depends:
 libmono-corlib4.5-cil,
 libmono-system-core4.0-cil,
 libmono-system4.0-cil,
 ${cli:Depends},
 ${misc:Depends},
Conflicts:
 libmono-cecil0.3-cil,
 libmono-cecil0.4-cil,
 libmono-cecil0.5-cil,
Description: library to generate and inspect CIL assemblies
 Cecil is a library under development to generate and inspect programs and
 libraries in the ECMA CIL format.
 .
 In simple English, with Cecil, you can load existing managed assemblies,
 browse all the contained types, modify them on the fly and save back to the
 disk the modified assembly.
 .
 This package contains the Cecil library

Package: libmono-cecil-cil-dev
Architecture: all
Depends:
 libmono-cecil-cil (= ${binary:Version}),
 ${misc:Depends},
Conflicts:
 libmono-cecil0.3-cil,
 libmono-cecil0.4-cil,
 libmono-cecil0.5-cil,
Replaces:
 libmono-cecil0.3-cil,
 libmono-cecil0.4-cil,
 libmono-cecil0.5-cil,
Description: library to generate and inspect CIL assemblies
 Cecil is a library under development to generate and inspect programs and
 libraries in the ECMA CIL format.
 .
 In simple English, with Cecil, you can load existing managed assemblies,
 browse all the contained types, modify them on the fly and save back to the
 disk the modified assembly.
 .
 This package contains development files for the Cecil library, and should
 be used for compilation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f Mono.Cecil/mono-cecil.pc
	find . -type d -name obj -exec rm -rf {} \; || true
	rm -rf $(CURDIR)/bin
	rm -rf $(CURDIR)/dbg/bin
	rm -rf $(CURDIR)/Test/bin

override_dh_auto_build:
	xbuild /property:Configuration=net_4_0_Release

	sed -e 's;@prefix@;/usr;g' \
		-e 's;^Version:.*;Version:\ $(DEB_VERSION_UPSTREAM);g' \
		debian/mono-cecil.pc.in > Mono.Cecil/mono-cecil.pc

# these are miscalculated, they pick up the private-yet-GAC Cecil from src:mono
# so manually define deps instead.
override_dh_clideps:

# no clilibs — private library
override_dh_makeclilibs:

=== debian/watch ===
Version: 5

Template: Github
Owner: jbevain
Project: cecil
Repack-Suffix: +dfsg
Dversion-Mangle: auto
